/*=========================================================================*/
/* Command Set for Device to Host				           */	
/* The Packet Format Should be as				           */
/* Packet = SOP + CMD( 1 byte ) + DATA ( variable length ) + < CR >        */
/* Note : All of the DATA are in ASCIIZ format	                           */
/* the Packet from Host to Device is defoined as                           */
/* Packet = SOP + CMD( 1 bytes ) + < CR > + follow DATA                    */
/* Neverthless, the packet for point report is more special than above is  */
/* is defined as                                                           */
/* Packet = Sync( 1 byte ) + X1X2( 2 bytes ) + Y1Y2 ( 2 bytes )            */
/* Where ,                                                                 */ 
/*              Sync = 1 R R R R R R S                                     */
/*              S : Status for the point. 1 = TOUCH DOWN                   */ 
/*                                        0 = LIFT OFF                     */ 
/*              R : Reserved bits must be 0 for Frank                      */
/*              							   */
/*              X1: MSB of X axis  = RRRRXXXX                              */ 
/*              X2: LSB of X axis  = RXXXXXXX                              */
/*              Y1: MSB of Y axis  = RRRRYYYY                              */
/*              Y2: LSB of Y axis  = RYYYYYYY                              */
/*                                                                         */
/* File Name : TouchCmd.h                                                  */
/* Author    : Alex Chang                                                  */
/* Copyright (c) 2000 - 2001  eGalax Inc.		    	           */
/* All rights reserved.                                                    */
/*=========================================================================*/


#ifndef _TOUCHCMD_H
#define _TOUCHCMD_H

#define _SOP					0x0A
#define _CR					0
#define _SYNCBIT				0x80

#define _DOWN				0x01
#define POINT_TOUCH			0x81
#define POINT_NOTOUCH       0x80

#define CMD_ID              0x96   // ID for Weltrend case!
#define CHECK_SUM_BASE	0x55
#define D2H_BASE		    'A'
#define D2H_BASE1           'a'
#define D2H_BASE2           '0'

#define D2H_LOOPBACK		( D2H_BASE + 0 )
#define D2H_EEPROM		    ( D2H_BASE + 2 )
#define D2H_VERSION		    ( D2H_BASE + 3 )
#define D2H_MODEL		    ( D2H_BASE + 4 )
#define D2H_TYPE		    ( D2H_BASE + 5 )
#define D2H_THRESHOLD		( D2H_BASE + 7 )
#define D2H_ACC			    ( D2H_BASE + 9 )
#define D2H_GETDEBOUNCE		( D2H_BASE + 11 )

/*=========================================================================*/
/*=========================================================================*/
#define H2D_BASE		        'A'
#define H2D_BASE1               'a'
#define H2D_BASE2               '0'

#define H2D_LOOPBACK	        ( H2D_BASE + 0 )
#define H2D_SETEEPROM	        ( H2D_BASE + 1 )
#define H2D_GETEEPROM	        ( H2D_BASE + 2 )
#define H2D_GETVERSION		    ( H2D_BASE + 3 )
#define H2D_GETMODEL		    ( H2D_BASE + 4 )
#define H2D_GETTYPE		        ( H2D_BASE + 5 )
#define H2D_SET_SETTHRESHOLD	( H2D_BASE + 6 )
#define H2D_GET_GETTHRESHOLD	( H2D_BASE + 7 )
#define H2D_SET_ACC		        ( H2D_BASE + 8 )
#define H2D_GET_ACC		        ( H2D_BASE + 9 )
#define H2D_SET_DEBOUNCE	    ( H2D_BASE + 10 )
#define H2D_GET_DEBOUNCE	    ( H2D_BASE + 11 )

#endif
